## nova 19.0.1

=== debian/changelog ===
nova (2:19.0.1-0ubuntu2.1) disco-security; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Aug 2019 12:16:27 -0400

nova (2:19.0.1-0ubuntu2) disco; urgency=medium

  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch: Cherry-picked from
    upstream stable/stein branch to ensure librados get_fsid return value
    is decoded (LP: #1816468).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Jul 2019 16:08:15 -0400

nova (2:19.0.1-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/p/skip-openssl-1.1.1-tests.patch: Dropped as this is now properly fixed
    by xenapi-agent-change-openssl-error-handling.patch.

  [ Sahid Orentino Ferdjaoui ]
  * New upstream release for OpenStack Stein (LP: #1831754)
  * d/p/eventlet-monkey-patching-should-be-as-early-as-possible.patch: Dropped.
    Fixed upstream in 19.0.1.
  * d/p/xenapi-agent-change-openssl-error-handling.patch: Dropped. Fixed
    upstream in 19.0.1.
  * d/p/bug_1825882.patch: Dropped. Fixed upstream in 19.0.1.
  * d/p/bug_1826523.patch: Dropped. Fixed upstream in 19.0.1.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 07 Jun 2019 10:29:14 +0200

nova (2:19.0.0-0ubuntu2.3) disco; urgency=medium

  * d/p/bug_1825882.patch: Cherry-picked from upstream to ensure
    virsh disk attach does not fail silently (LP: #1825882).
  * d/p/bug_1826523.patch: Cherry-picked from upstream to ensure
    always disconnect volumes after libvirt exceptions (LP: #1826523).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 16 May 2019 10:54:46 +0200

nova (2:19.0.0-0ubuntu2.2) disco; urgency=medium

  * d/p/xenapi-agent-change-openssl-error-handling.patch: Cherry-picked from
    upstream to ensure xenapi agent only raises a RuntimeError exception
    when openssl returns a non-zero exit code (LP: #1771506).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 May 2019 17:17:03 -0400

nova (2:19.0.0-0ubuntu2.1) disco; urgency=medium

  * d/gbp.conf: Create stable/stein branch.
  * d/p/eventlet-monkey-patching-should-be-as-early-as-possible.patch:
    Cherry-picked from upstream stable/stein review to fix py3+wsgi+ssl crash
    (LP: #1808951).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Apr 2019 13:10:09 -0400

nova (2:19.0.0-0ubuntu2) disco; urgency=medium

  * d/p/skip-openssl-1.1.1-tests.patch: Skip openssl 1.1.1 incompatible
    tests from 18.04 onwards.

 -- James Page <james.page@ubuntu.com>  Mon, 15 Apr 2019 08:42:30 +0100

nova (2:19.0.0-0ubuntu1) disco; urgency=medium

  * Upstream release for OpenStack Stein.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 12 Apr 2019 11:31:18 +0100

nova (2:19.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: track 19.x series.
  * New upstream release candidate for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:10:50 +0000

nova (2:19.0.0~b1~git2019031419.b7bd97bc88-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Mar 2019 14:11:20 +0000

nova (2:19.0.0~b1~git2019013113.33aad0fe41-0ubuntu2) disco; urgency=medium

  * d/control: Add python3-websockify to Depends (LP: #1108935). Also move
    nova-common binary package to the end of d/control file as it makes more
    sense to be after python3-nova.
  * d/p/skip-openssl-1.1.1-tests.patch: Updated to use
    lsb_release.get_distro_information as lsb_release.get_lsb_information is
    not available in the disco version.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Feb 2019 10:04:09 -0500

nova (2:19.0.0~b1~git2019013113.33aad0fe41-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch: Dropped.
    Fixed in new upstream snapshot.
  * d/p/*: Rebased.
  * d/p/skip-py3.7-tests.patch, d/p/py37-misc-fixes.patch: Dropped.
    The py37 issues have been fixed upstream by Christ Dent in
    https://review.openstack.org/#/c/624055/.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 13:17:41 -0500

nova (2:19.0.0~b1~git2018120609.c9dca64fa6-0ubuntu4) disco; urgency=medium

  * d/nova-api-os-compute.*, d/control, d/tests/nova-api: Drop systemd init in
    favor of apache2+mod_wsgi (LP: #1812672). Also drop libapache2-mod-wsgi
    from nova-placement-api.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Jan 2019 09:29:10 -0500

nova (2:19.0.0~b1~git2018120609.c9dca64fa6-0ubuntu3) disco; urgency=medium

  * d/tests/nova-daemons: sqlalchemy now defaults to mysqldb so we must override
    the driver to use pymysql.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Jan 2019 14:20:57 -0500

nova (2:19.0.0~b1~git2018120609.c9dca64fa6-0ubuntu2) disco; urgency=medium

  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch: Cherry-
    picked from upstream to ensure ceph backend continues to work for upgrades
    from pre-Ocata (LP: #1809454).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Dec 2018 09:20:12 -0500

nova (2:19.0.0~b1~git2018120609.c9dca64fa6-0ubuntu1) disco; urgency=medium

  * d/tests/control, d/tests/nova-daemons: Switch to using mysql-server
    databases in autopkgtests.
  * New upstream snapshot for OpenStack Stein.
  * d/control: Ensure python3-migrate version is compatable with sqlite>=3.26
    (LP: #1807262).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Dec 2018 09:31:17 -0500



=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-api
Depends: nova-conductor, nova-scheduler, nova-novncproxy,
 nova-xvpvncproxy, nova-api, nova-placement-api, nova-console,
 nova-consoleauth, rabbitmq-server, nova-compute, mysql-server
Restrictions: needs-root, allow-stderr

## nova 19.0.3

=== debian/changelog ===
nova (2:19.0.3-0ubuntu1) disco; urgency=medium

  * d/control: Switch to using qemu-system for nova-compute-qemu,
    ensuring that all appropriate qemu binaries are avaliable for
    libvirt (LP: #1833406).
  * New upstream point release for OpenStack Stein (LP: #1849192).
  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch,
    d/p/CVE-2019-14433.patch: Dropped. Fixed in upstream 19.0.2 release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Oct 2019 15:26:18 -0400

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders:
 Soren Hansen <soren@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 lsb-release,
 openstack-pkg-tools (>= 37ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools (>= 16.0),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools (>= 16.0),
 python3-sphinx (>= 1.6.2),
 python3-sphinx-feature-classification (>= 0.2.0),
Build-Depends-Indep:
 bandit,
 crudini,
 genisoimage,
 openssh-client,
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-castellan (>= 0.16.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-cursive (>= 0.2.1),
 python3-dateutil (>= 2.5.3),
 python3-ddt (>= 1.0.1),
 python3-decorator (>= 3.4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-ironicclient (>= 2.7.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.9.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-microversion-parse (>= 0.2.1),
 python3-migrate (>= 0.11.0-3ubuntu1~),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-netifaces (>= 0.10.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 1.19.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 2.6.1),
 python3-os-resource-classes (>= 0.3.0),
 python3-os-service-types (>= 1.2.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 0.8.0),
 python3-os-vif (>= 1.14.0),
 python3-os-win (>= 3.0.0),
 python3-os-xenapi (>= 0.3.3),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.1.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 6.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.35.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.21.1),
 python3-oslo.service (>= 1.33.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.37.0),
 python3-oslo.versionedobjects (>= 1.33.3),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pkg-resources (>= 21.0.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-pypowervm (>= 1.1.15),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-retrying (>= 1.3.3),
 python3-rfc3986 (>= 1.1.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-tempest (>= 1:14.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.8.2),
 python3-websockify (>= 0.8.0),
 python3-wsgi-intercept (>= 1.7.0),
 python3-zvmcloudconnector (>= 1.1.1),
Build-Conflicts:
 python-cjson,
 python3-cjson,
Standards-Version: 4.1.4
Homepage: https://launchpad.net/nova
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova

Package: nova-ajax-console-proxy
Architecture: all
Section: oldlibs
Priority: extra
Depends:
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Compute - AJAX console proxy - transitional package
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package used to provide the AJAX proxy, which is now gone.

Package: nova-api
Architecture: all
Depends:
 iptables,
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Compute - API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package provides the API frontend.

Package: nova-api-metadata
Architecture: all
Depends:
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Conflicts:
 nova-api,
Description: OpenStack Compute - metadata API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This package provides the metadata API backend for guest VMs.

Package: nova-api-os-compute
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Conflicts:
 nova-api,
Description: OpenStack Compute - OpenStack Compute API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This package provides the OpenStack Compute API frontend.

Package: nova-api-os-volume
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 cinder-api,
 ${misc:Depends},
Description: OpenStack Compute - OpenStack Volume API frontend
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 This is a dummy transitional package that can be removed after upgrade.

Package: nova-cells
Architecture: all
Depends:
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: Openstack Compute - cells
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the Nova cells component.

Package: nova-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 nova-ajax-console-proxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api-metadata (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api-os-compute (<< 2:18.0.0~b2-0ubuntu3~),
 nova-cells (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute-libvirt (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute-vmware (<< 2:18.0.0~b2-0ubuntu3~),
 nova-conductor (<< 2:18.0.0~b2-0ubuntu3~),
 nova-console (<< 2:18.0.0~b2-0ubuntu3~),
 nova-consoleauth (<< 2:18.0.0~b2-0ubuntu3~),
 nova-network (<< 2:18.0.0~b2-0ubuntu3~),
 nova-novncproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-placement-api (<< 2:18.0.0~b2-0ubuntu3~),
 nova-scheduler (<< 2:18.0.0~b2-0ubuntu3~),
 nova-serialproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-spiceproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-xvpvncproxy (<< 2:18.0.0~b2-0ubuntu3~),
 python-nova (<< 2:18.0.0-0ubuntu2~),
Replaces:
 nova-ajax-console-proxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api-metadata (<< 2:18.0.0~b2-0ubuntu3~),
 nova-api-os-compute (<< 2:18.0.0~b2-0ubuntu3~),
 nova-cells (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute-libvirt (<< 2:18.0.0~b2-0ubuntu3~),
 nova-compute-vmware (<< 2:18.0.0~b2-0ubuntu3~),
 nova-conductor (<< 2:18.0.0~b2-0ubuntu3~),
 nova-console (<< 2:18.0.0~b2-0ubuntu3~),
 nova-consoleauth (<< 2:18.0.0~b2-0ubuntu3~),
 nova-network (<< 2:18.0.0~b2-0ubuntu3~),
 nova-novncproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-placement-api (<< 2:18.0.0~b2-0ubuntu3~),
 nova-scheduler (<< 2:18.0.0~b2-0ubuntu3~),
 nova-serialproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-spiceproxy (<< 2:18.0.0~b2-0ubuntu3~),
 nova-xvpvncproxy (<< 2:18.0.0~b2-0ubuntu3~),
 python-nova (<< 2:18.0.0-0ubuntu2~),
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 bridge-utils,
 nova-compute-kvm | nova-compute-hypervisor,
 python3-nova (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

SHELL := /bin/sh -e

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python3,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .testrepository
	rm -f etc/nova/nova.conf

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python-nova/usr/etc
	rm -rf $(CURDIR)/debian/python3-nova/usr/etc
	# Fix any api sample template files with broken permissions
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/nova/nova-policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/nova/nova-config-generator.conf
	cp etc/nova/nova.conf.sample etc/nova/nova.conf
	crudini --set $(CURDIR)/etc/nova/nova.conf DEFAULT log_dir /var/log/nova
	crudini --set $(CURDIR)/etc/nova/nova.conf DEFAULT lock_path /var/lock/nova
	crudini --set $(CURDIR)/etc/nova/nova.conf DEFAULT state_path /var/lib/nova
	crudini --set $(CURDIR)/etc/nova/nova.conf database connection sqlite:////var/lib/nova/nova.sqlite
	crudini --set $(CURDIR)/etc/nova/nova.conf api_database connection sqlite:////var/lib/nova/nova_api.sqlite
	crudini --set $(CURDIR)/etc/nova/nova.conf cells enable False
	crudini --set $(CURDIR)/etc/nova/nova.conf placement os_region_name openstack
	find $(CURDIR)/debian/python3-nova -name *.tpl -exec chmod a-x {} \;
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf
	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	find $(CURDIR)/debian -name ".gitignore" -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers -Xnova_tgt.conf

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2 "nova.tests.unit.*"
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/nova/ nova-(19\.\d.*)\.tar\.gz

## nova 19.3.2

=== debian/changelog ===
nova (2:19.3.2-0ubuntu1~cloud2) bionic-stein; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1821755.patch: Error anti-affinity violation on
    migrations (LP #1821755).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Oct 2021 09:04:32 +0000

nova (2:19.3.2-0ubuntu1~cloud1) bionic-stein; urgency=medium

  [ Hemanth Nakkina ]
  * d/p/0001-Update-pci-stat-pools-based-on-PCI-device-changes.patch: Update pci
    stats pools based on PCI device changes (LP: #1892361).

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Mon, 08 Feb 2021 10:34:43 +0530

nova (2:19.3.2-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1906271).
  * d/p/lp1893263.patch: Removed. Patch has landed upstream and is included
    in this point release.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 01 Dec 2020 08:41:20 +0000

nova (2:19.3.1-0ubuntu1~cloud1) bionic-stein; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1893263.patch: Allow tap interface with multiqueue (LP: #1893263).

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 12 Nov 2020 15:45:51 +0000

nova (2:19.3.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1896478).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 01 Oct 2020 13:31:33 +0000

nova (2:19.3.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1888203).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 03 Aug 2020 13:07:50 +0000

nova (2:19.2.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1880163)

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 May 2020 14:07:38 -0400

nova (2:19.1.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New stable point release for OpenStack Stein (LP: #1871126).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 12:27:20 -0400

nova (2:19.0.3-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 28 Oct 2019 13:30:50 +0000

=== debian/control ===
--- 
+++ 
@@ -126,8 +126,8 @@
  python3-cjson,
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/nova
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
 
 Package: nova-ajax-console-proxy
 Architecture: all

## nova 20.0.0

=== debian/changelog ===
nova (2:20.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 11:02:01 -0400

nova (2:20.0.0~rc1-0ubuntu3) eoan; urgency=medium

  * d/tests/nova-daemons: Skip check of nova-conductor daemon as
    keystone is not configured and running as part of autopkgtest
    setup, resulting in a test failure on restart (LP: #1847039).

 -- James Page <james.page@ubuntu.com>  Wed, 09 Oct 2019 12:26:20 +0100

nova (2:20.0.0~rc1-0ubuntu2) eoan; urgency=medium

  * d/py3dist-overrides: Add SQLAlchemy to overrides since the run-time
    Depend for python3-sqlalchemy is being overridden.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Oct 2019 08:10:36 -0400

nova (2:20.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: track 20.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-rsvgconverter.patch: Drop
    sphinxcontrib.rsvgconverter as it is currently not packaged for Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Oct 2019 10:25:40 -0400

nova (2:20.0.0~b2~git2019080821.af40e3d1a6-0ubuntu2) eoan; urgency=medium

  * d/control, d/nova-consoleauth.init.in, d/nova-consoleauth.manpages:
    Drop the rest of nova-consoleauth inline with upstream removal.
  * d/py3dist-overrides: Add cryptography to overrides since the run-time
    Depend for python3-nova is being overridden.
  * d/control, d/rules, d/nova-placement-api.{apache2,conf}, d/tests/control:
    Drop placement API in line with upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Aug 2019 11:56:49 -0400

nova (2:20.0.0~b2~git2019080821.af40e3d1a6-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch: Dropped. Fixed in
    new upstream snapshot.
  * d/p/CVE-2019-14433.patch: Dropped. Fixed in new upstream snapshot.
  * d/control: Drop min version of python3-cryptography to 2.6. According to
    upstream commit 6caedfd97675940eb3cf07e2f019926dae45d02c, version 2.6
    has the required support for ed25519 ssh keys.
  * d/control, d/nova-novncproxy.init.in, d/nova-serialproxy.init.in,
    d/nova-spiceproxy.init.in, d/tests/*: Remove nova-consoleauth inline with
    upstream removal.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 21:39:04 -0400

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu4) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Aug 2019 12:08:30 -0400

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu3) eoan; urgency=medium

  * Changes required for the MySQL 8.0 transition
    - d/p/add-mysql8-compatibility.patch: avoid use of in CI test setup
    - d/t/nova-daemons: Avoid usage of IDENTIFIED BY on GRANT

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 01 Aug 2019 11:33:41 +0200

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu2) eoan; urgency=medium

  [ James Page ]
  * d/*: wrap-and-sort -bast.
  * d/control: Switch to using qemu-system for nova-compute-qemu,
    ensuring that all appropriate qemu binaries are avaliable for
    libvirt (LP: #1833406).
  * d/control: Drop alternative runtime dependency on kvm for
    nova-compute-kvm; package is long gone in Ubuntu.

  [ Corey Bryant ]
  * d/p/fix-python3-compatibility-of-rbd-get_fsid.patch: Cherry-picked from
    upstream master branch to ensure librados get_fsid return value
    is decoded (LP: #1816468).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Jul 2019 16:04:25 -0400

nova (2:20.0.0~b1~git2019061016.1316c1c285-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/eventlet-monkey-patching-should-be-as-early-as-possible.patch,
    d/p/xenapi-agent-change-openssl-error-handling.patch,
    d/p/bug_1825882.patch,
    d/p/bug_1826523.patch: Dropped. Fixed in upstream snapshot.
  * d/p/arm-console-patch.patch: Rebased.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-test-needing-mock-3.patch: Skip until python3-mock 3.0.0 is
    available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 10 Jun 2019 17:00:28 -0400

nova (2:19.0.0-0ubuntu6) eoan; urgency=medium

  * Drop skip-openssl-1.1.1-tests.patch, now properly fixed with xenapi-
    agent-change-openssl-error-handling.patch.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 21 May 2019 10:44:19 +0100

nova (2:19.0.0-0ubuntu5) eoan; urgency=medium

  * d/p/bug_1825882.patch: Cherry-picked from upstream to ensure
    virsh disk attach does not fail silently (LP: #1825882).
  * d/p/bug_1826523.patch: Cherry-picked from upstream to ensure
    always disconnect volumes after libvirt exceptions (LP: #1826523).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 16 May 2019 10:41:27 +0200

nova (2:19.0.0-0ubuntu4) eoan; urgency=medium

  * d/p/xenapi-agent-change-openssl-error-handling.patch: Cherry-picked from
    upstream to ensure xenapi agent only raises a RuntimeError exception
    when openssl returns a non-zero exit code (LP: #1771506).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 May 2019 17:10:47 -0400

nova (2:19.0.0-0ubuntu3) eoan; urgency=medium

  * d/p/eventlet-monkey-patching-should-be-as-early-as-possible.patch:
    Cherry-picked from upstream master branch to fix py3+wsgi+ssl crash
    (LP: #1808951).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Apr 2019 09:51:42 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools (>= 16.0),
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
  python3-sphinx-feature-classification (>= 0.2.0),
 Build-Depends-Indep:
  bandit,
@@ -31,39 +31,42 @@
  python3-barbicanclient (>= 4.5.2),
  python3-castellan (>= 0.16.0),
  python3-cinderclient (>= 1:3.3.0),
+ python3-contextlib2 (>= 0.5.5),
  python3-coverage (>= 4.0),
- python3-cryptography (>= 2.1),
+ python3-cryptography (>= 2.6),
  python3-cursive (>= 0.2.1),
  python3-dateutil (>= 2.5.3),
  python3-ddt (>= 1.0.1),
  python3-decorator (>= 3.4.0),
- python3-eventlet (>= 0.18.2),
+ python3-eventlet (>= 0.20.0),
  python3-fixtures (>= 3.0.0),
+ python3-futurist (>= 1.8.0),
  python3-gabbi (>= 1.35.0),
  python3-glanceclient (>= 1:2.8.0),
  python3-greenlet (>= 0.4.10),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-ironicclient (>= 2.7.0),
  python3-iso8601 (>= 0.1.11),
  python3-jinja2 (>= 2.10),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.9.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystoneauth1 (>= 3.16.0),
+ python3-keystonemiddleware (>= 4.20.0),
  python3-lxml (>= 3.4.1),
  python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0-3ubuntu1~),
- python3-mock (>= 2.0.0),
+ python3-mock (>= 3.0.0),
  python3-mox3 (>= 0.20.0),
  python3-netaddr (>= 0.7.18),
  python3-netifaces (>= 0.10.4),
  python3-neutronclient (>= 1:6.7.0),
- python3-openstackdocstheme (>= 1.19.0),
+ python3-openstackdocstheme (>= 1.30.0),
+ python3-openstacksdk (>= 0.35.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-brick (>= 2.6.1),
- python3-os-resource-classes (>= 0.3.0),
- python3-os-service-types (>= 1.2.0),
+ python3-os-resource-classes (>= 0.4.0),
+ python3-os-service-types (>= 1.7.0),
  python3-os-testr (>= 1.0.0),
- python3-os-traits (>= 0.8.0),
+ python3-os-traits (>= 0.16.0),
  python3-os-vif (>= 1.14.0),
  python3-os-win (>= 3.0.0),
  python3-os-xenapi (>= 0.3.3),
@@ -74,19 +77,19 @@
  python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 6.3.0),
+ python3-oslo.messaging (>= 7.0.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.35.0),
- python3-oslo.privsep (>= 1.32.0),
+ python3-oslo.privsep (>= 1.33.2),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.rootwrap (>= 5.8.0),
  python3-oslo.serialization (>= 2.21.1),
- python3-oslo.service (>= 1.33.0),
+ python3-oslo.service (>= 1.40.1),
  python3-oslo.upgradecheck (>= 0.1.1),
- python3-oslo.utils (>= 3.37.0),
- python3-oslo.versionedobjects (>= 1.33.3),
+ python3-oslo.utils (>= 3.40.2),
+ python3-oslo.versionedobjects (>= 1.35.0),
  python3-oslo.vmware (>= 2.17.0),
- python3-oslotest (>= 1:3.2.0),
+ python3-oslotest (>= 1:3.8.0),
  python3-osprofiler (>= 1.4.0),
  python3-paramiko (>= 2.0.0),
  python3-paste (>= 2.0.2),
@@ -95,7 +98,8 @@
  python3-pkg-resources (>= 21.0.0),
  python3-prettytable (>= 0.7.1),
  python3-psutil (>= 3.2.2),
- python3-psycopg2 (>= 2.6.2),
+ python3-psycopg2 (>= 2.7),
+ python3-pycodestyle (>= 2.0.0),
  python3-pymysql (>= 0.7.6),
  python3-pypowervm (>= 1.1.15),
  python3-reno (>= 2.5.0),
@@ -107,7 +111,7 @@
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.actdiag (>= 0.8.5),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.2.18),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-taskflow (>= 2.16.0),
@@ -120,14 +124,14 @@
  python3-webob (>= 1:1.8.2),
  python3-websockify (>= 0.8.0),
  python3-wsgi-intercept (>= 1.7.0),
- python3-zvmcloudconnector (>= 1.1.1),
+ python3-zvmcloudconnector (>= 1.3.0),
 Build-Conflicts:
  python-cjson,
  python3-cjson,
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/nova
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
 
 Package: nova-ajax-console-proxy
 Architecture: all
@@ -273,7 +277,6 @@
  nova-compute-vmware (<< 2:18.0.0~b2-0ubuntu3~),
  nova-conductor (<< 2:18.0.0~b2-0ubuntu3~),
  nova-console (<< 2:18.0.0~b2-0ubuntu3~),
- nova-consoleauth (<< 2:18.0.0~b2-0ubuntu3~),
  nova-network (<< 2:18.0.0~b2-0ubuntu3~),
  nova-novncproxy (<< 2:18.0.0~b2-0ubuntu3~),
  nova-placement-api (<< 2:18.0.0~b2-0ubuntu3~),
@@ -293,7 +296,6 @@
  nova-compute-vmware (<< 2:18.0.0~b2-0ubuntu3~),
  nova-conductor (<< 2:18.0.0~b2-0ubuntu3~),
  nova-console (<< 2:18.0.0~b2-0ubuntu3~),
- nova-consoleauth (<< 2:18.0.0~b2-0ubuntu3~),
  nova-network (<< 2:18.0.0~b2-0ubuntu3~),
  nova-novncproxy (<< 2:18.0.0~b2-0ubuntu3~),
  nova-placement-api (<< 2:18.0.0~b2-0ubuntu3~),

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 #export DH_VERBOSE=1
 
 SHELL := /bin/sh -e
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')                                                  
+export PBR_VERSION=$(VERSION)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
@@ -47,7 +51,7 @@
 	crudini --set $(CURDIR)/etc/nova/nova.conf database connection sqlite:////var/lib/nova/nova.sqlite
 	crudini --set $(CURDIR)/etc/nova/nova.conf api_database connection sqlite:////var/lib/nova/nova_api.sqlite
 	crudini --set $(CURDIR)/etc/nova/nova.conf cells enable False
-	crudini --set $(CURDIR)/etc/nova/nova.conf placement os_region_name openstack
+	crudini --set $(CURDIR)/etc/nova/nova.conf os_region_name openstack
 	find $(CURDIR)/debian/python3-nova -name *.tpl -exec chmod a-x {} \;
 	dh_install --fail-missing -Xbin/nova-all
 	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers

=== debian/tests/control ===
Tests: nova-compute-daemons nova-daemons nova-api
Depends:
 mysql-server,
 nova-api,
 nova-compute,
 nova-conductor,
 nova-console,
 nova-novncproxy,
 nova-scheduler,
 nova-xvpvncproxy,
 rabbitmq-server,
Restrictions: needs-root, allow-stderr

## nova 20.0.1

=== debian/changelog ===
nova (2:20.0.1-0ubuntu1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Sahid Orentino Ferdjaoui ]
  * New stable point release for OpenStack Train (LP: #1853311).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 02 Dec 2019 15:11:50 +0100

## nova 20.2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=1.8.0,<2.0.0;python_version=='2.7' # BSD
sphinx>=1.8.0,!=2.1.0;python_version>='3.4'  # BSD
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
sphinx-feature-classification>=0.2.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.30.0 # Apache-2.0

# releasenotes
reno>=2.5.0 # Apache-2.0

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

# needed to generate osprofiler config options
osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
nova (2:20.2.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train (LP: #1879725).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 22 May 2020 06:33:16 +0000

nova (2:20.1.1-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train (LP: #1871125).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Apr 2020 10:35:14 -0400

## nova 20.6.1

=== debian/changelog ===
nova (2:20.6.1-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/lp1821755.patch: Error anti-affinity violation on
    migrations (LP #1821755).

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 27 Sep 2021 21:12:17 +0000

nova (2:20.6.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1935031).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Jul 2021 11:28:58 +0000

nova (2:20.6.0-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/restore-migrate-data-vifs(-tests).patch: Cherry-picked from
    upstream stable/train to fix live migration of VM's using the single
    port binding workflow (LP: #1888395).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Jun 2021 16:16:47 -0400

nova (2:20.6.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Train (LP: #1923038).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 13 Apr 2021 11:48:48 +0000

nova (2:20.5.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1915787).
  * d/p/lp1892361.patch: Removed after change landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 17 Feb 2021 08:24:20 +0000

nova (2:20.4.1-0ubuntu1~cloud1) bionic-train; urgency=medium

  * d/p/lp1892361.patch: Update pci stat pools based on PCI device changes (LP: #1892361).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 22 Jan 2021 15:12:03 +0000

nova (2:20.4.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1906271).
  * d/p/lp1893263.patch: Removed. Change landed upstream in this point release.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 01 Dec 2020 09:22:17 +0000

nova (2:20.4.0-0ubuntu1~cloud1) bionic-train; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1893263.patch: Allow tap interface with multiqueue (LP: #1893263).

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/control: Merge patch adding systemd from ca-patches.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 12 Nov 2020 15:30:30 +0000

nova (2:20.4.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1896477).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 01 Oct 2020 13:24:23 +0000

nova (2:20.3.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New stable point release for OpenStack Train (LP: #1883892).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 17 Jun 2020 13:47:24 +0000

nova (2:20.2.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 26 May 2020 23:11:34 +0000

=== debian/control ===
--- 
+++ 
@@ -125,13 +125,14 @@
  python3-websockify (>= 0.8.0),
  python3-wsgi-intercept (>= 1.7.0),
  python3-zvmcloudconnector (>= 1.3.0),
+ systemd,
 Build-Conflicts:
  python-cjson,
  python3-cjson,
 Standards-Version: 4.1.4
 Homepage: https://launchpad.net/nova
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
 
 Package: nova-ajax-console-proxy
 Architecture: all
